<?php
header("Cache-Control: no-cache, must-revalidate");
header("Expires: -1");

//Prendo i dati partendo dalla gamertag
$gamertag = "ferruccio94";

$params['http']['method'] = 'GET'; 
$params['http']['header'] = "Accept-Language: it-it,it;q=0.8,en-us;q=0.5,en;q=0.3\r\n"; 
$context = stream_context_create($params); 
$fp = fopen("http://gamercard.xbox.com/".str_replace(" ", "%20" , $gamertag).".card", 'r', false, $context); 
$html = stream_get_contents($fp);
fclose($fp);
$htmlNoTag = trim(strip_tags($html)); //Recupero una versione senza i tag html
$doc = new DOMDocument();
$doc->loadHTML($html);

/* Rilevzione punti G */ 
$G = str_replace($gamertag, "", $htmlNoTag); //Parso la versione senza i tag html per recuperare i punti G
$G = str_replace("Rep", "", $G);
$G = trim($G);
/* Fine rilevazione punti G */

/* Silver / Gold | Crero l'if per il gold.*/
if (substr_count($html, "Gold") > 0 ) {
//Gold
$abbonamento = "Gold";
} else { /*Silver*/ $abbonamento = "Silver"; }
/* Fine Silver / Gold */

/* Rep */
$STARs = array();
foreach($doc->getElementsByTagName('div') as $Star) {
   $STARs[] = $Star->getAttribute('class');
}
$imgStar = array();
for($i=7;$i<=11;$i++) {
	$imgStar[$i-7] = str_replace("Star ", "Star/", $STARs[$i]) . ".png"; //Creo il link per recuperare la stella giusta. Le stelle vanno da 0 a 4
}
/*Fine Rep*/

/*Ultimi Giochi (Testo) */
$TITLEs = array();
foreach($doc->getElementsByTagName('img') as $img) {
   $TITLEs[] = $img->getAttribute('title');
}
//Nota, per i titoli nell'array iniziano da 1
/* Fine Ultimi Giochi (Testo) */

/*Ultimi Giochi (IMG) */
$IMGs = array();
foreach($doc->getElementsByTagName('img') as $img) {
   $IMGs[] = $img->getAttribute('src');
}
//Nota, per le img nell'array iniziano da 1
/* Fine Ultimi Giochi (IMG) */
//Qui ho finito di recuperare i dati del giocatore

$fontSize = 10; //Scelto la dimensione del font
$fontType = "arial.ttf"; //Scelgo il font (deve essere presente nella stessa cartella del file .php)

$sfondo = imagecreatefrompng("fStar.png"); //Scelgo lo sfondo per la mia gamercard, per ora c' la mia fStar. (deve essere presente nella stessa cartella del file .php)
$sfondoX = imagesx($sfondo);
$sfondoY = imagesy($sfondo);

$avatar_body = imagecreatefrompng("http://avatar.xboxlive.com/avatar/".str_replace(" ", "%20", $gamertag)."/avatar-body.png"); //Qui recupero l'avatar Xbox LIVE
//http://avatar.xboxlive.com/avatar/ferruccio94/avatar-body.png

$tmpImage = imagecreatetruecolor(1, 1); 
$tmpBlack = imagecolorallocate($tmpImage, 0, 0, 0); 

$imageWth = $sfondoX;
$imageHth = $sfondoY;

$imgImage = imagecreatetruecolor($imageWth, $imageHth); 

$imgWhiteS = imagecolorallocate($imgImage, 255, 255, 255);  // Bianco/Trasparente. Se nell'immagine  presente il bianco con il codice R, G, B uguale a 255, 255, 255  questo diventa trasparente
$imgWhite = imagecolorallocate($imgImage, 255, 255, 250);  // Bianco. 
$imgBlack = imagecolorallocate($imgImage,   0,   0,   0);  // Nero.
$imgGrey1 = imagecolorallocate($imgImage, 221, 221, 221);  // Grigio1
$imgGrey2 = imagecolorallocate($imgImage, 80, 76, 86);  // Grigio2
$imgGrey118 = imagecolorallocate($imgImage, 118, 118, 118);  // Grigio 118
$imgGreen = imagecolorallocate($imgImage, 0, 255, 0);  // Verde
$imgGreenX = imagecolorallocate($imgImage, 34, 200, 71);  // Verde Xbox
$imgRed = imagecolorallocate($imgImage, 255, 0, 0); // Rosso
$imgLightBlue = imagecolorallocate($imgImage, 62, 99, 118);  // Blu Chiaro
$imgGold = imagecolorallocate($imgImage, 255, 216, 54);  // Oro
$imgSilver = imagecolorallocate($imgImage, 210, 210, 201);  // Argento

imagefill($sfondo, 0, 0, $imgWhiteS);  // Riempie l'immagine con il colore di sfondo.
imagecolortransparent($sfondo, $imgWhiteS);  // Imposta il colore di sfondo come trasparente.
imageantialias($sfondo, true);  // Attiva le funzioni di antialiasing.

/*Sull'immagine generata inserisce l'avatar-body*/
imagecopy ($sfondo, $avatar_body, 200, -35, 0, 0, 150, 300); //(Immagine di sfondo, Avatar-body, distanza da sinistra, distanza dall'alto (con il valore negativo la alza), boh, boh, larghezza img, altezza img);

imagettftext($sfondo, $fontSize, 0, 68, 39, $imgBlack, $fontType, $gamertag); //Scrivo la gamercard 68 e 39 solo le coordinate
imagettftext($sfondo, $fontSize, 0, 23, 110, $imgWhite, $fontType, $G); //Scrivo i punti G

//Rep
$dist_min_x = 135; 
$dist_min_y = 99;

for($star=0;$star<=4;$star++) {
imagecopy ($sfondo, imagecreatefrompng($imgStar[$star]), $dist_min_x + (12*$star), $dist_min_y, 0, 0, 12, 12); //Inserisco le stelle della Rep sull'immagine
}


$dist_min_x = 50;
$dist_min_y = 45;
$dist_succ_x = 3;

for($pic=1;$pic<=4;++$pic){ //I giochi in memoria sono 5, ma visto che non entrano ne inserisco 4 (per inserire 5 basta cambiare il 4 con il 5)
$game_pic = imagecreatefromjpeg($IMGs[$pic]);
imagecopy ($sfondo, $game_pic, $dist_min_x + ((32 + $dist_succ_x) * ($pic)), $dist_min_y, 0, 0, 32, 32); //Inserisco le miniature degli ultimi giochi
}


/* OUTPUT */
header("Content-type: image/png");  // Manda gli headers corretti.
imagepng($sfondo);  // Manda l'immagine in output.
imagedestroy($sfondo);  // Distrugge l'immagine in memoria.
?>